GET/connectors/{id}

Retrieve

This endpoint retrieves a specific connector.

Parameters

Path Parameters

NameType
idrequired
number

Query Parameters

NameType
healthDetails
boolean

Responses

200Retrieve a connector.
object

Connector object

idrequirednumber (integer)

Primary identifier

namestring

Name of the institution

institutionUrlstring

Homepage of the institution

imageUrlstring

Image of the logo hosted by Pluggy

primaryColorstring

Primary color

typestring

Type of institution

countrystring

Country located

credentialsobject[]

Parameters required to start the connection

itemsobject

Credential details for a connector

hasMFAboolean

Does the connector require an MFA to execute?

productsstring[]

Products supported by the connector

itemsstring
ACCOUNTSCREDIT_CARDSTRANSACTIONSPAYMENT_DATAINVESTMENTSINVESTMENTS_TRANSACTIONSIDENTITYBROKERAGE_NOTEMOVE_SECURITYLOANS
oauthboolean

If 'true', the connector requires an Oauth flow to execute

oauthUrlstring

URL to perform Oauth flow if needed

resetPasswordUrlstring

URL to the financial institution to reset the password

healthobject

Connector health status

statusstring

'ONLINE' | 'OFFLINE' | 'UNSTABLE'

stagestring
detailsobject

Statistics about your recent connections on the connector and recent connection rate (percentage of healthy connections). This field is only present if you include the parameter healthDetails=true. This will be null if there was an error obtaining health details.

isOpenFinanceboolean

Indicates if the connector uses the regulated Open Finance APIs

supportsPaymentInitiationboolean

Indicates if the connector supports the payment initiation API

supportsScheduledPaymentsboolean

Indicates if the connector supports scheduled payments

supportsSmartTransfersboolean

Indicates if the connector supports smart transfers

supportsBoletoManagementboolean

Indicates if the connector supports boleto management

supportsAutomaticPixboolean

Indicates if the connector supports automatic Pix

createdAtstring (date-time)

Date of creation

updatedAtstring (date-time)

Date of last modification

Example response

json
{
  "id": 601,
  "name": "Itaú",
  "primaryColor": "EC7000",
  "institutionUrl": "https://www.itau.com.br",
  "country": "BR",
  "type": "PERSONAL_BANK",
  "credentials": [
    {
      "validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
      "validationMessage": "CPF deve ter 11 números.",
      "label": "CPF",
      "name": "cpf",
      "type": "number",
      "placeholder": "",
      "optional": false
    }
  ],
  "imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/201.svg",
  "hasMFA": false,
  "oauth": true,
  "health": {
    "status": "ONLINE",
    "stage": null
  },
  "products": [
    "ACCOUNTS",
    "TRANSACTIONS",
    "IDENTITY",
    "CREDIT_CARDS",
    "PAYMENT_DATA",
    "LOANS",
    "INVESTMENTS"
  ],
  "createdAt": "2023-09-01T18:05:09.145Z",
  "isSandbox": false,
  "isOpenFinance": true,
  "updatedAt": "2024-07-16T15:34:08.028Z",
  "supportsPaymentInitiation": true,
  "supportsScheduledPayments": true,
  "supportsSmartTransfers": true,
  "supportsBoletoManagement": true,
  "supportsAutomaticPix": true
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/connectors/{id}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters
Query Parameters